Retrieves the job_estimated_quantity with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "7306aeda-3e02-4b0a-8ac3-d6b869d68c9a",
"estimated_quantity": 2.0,
"article_id": "9aab3ce6-d6ad-40e0-b2d0-d7a0cb317266",
"article_code": "sample string 4",
"article": {
"id": "79f559c8-b15c-46a4-bdc4-aab88c0f63c5",
"article_category_id": "fad5b2ee-70ad-4655-8dba-6180755731c8",
"article_category": {
"id": "f9232019-356c-42fb-84b2-902e993696dd",
"parent_id": "4509d335-82e0-498e-810c-9803e9045049",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "1f552716-33c5-4287-882f-a716716ee878",
"article_group_1_code": "sample string 5",
"article_group_2_id": "8f8cb669-8923-4435-87d7-b740a2965249",
"article_group_2_code": "sample string 7",
"article_group_3_id": "f8837f49-e7c2-495f-a118-3495c15996c0",
"article_group_3_code": "sample string 9",
"article_group_4_id": "5b2fc93a-0a8b-490d-9319-c7193d11704f",
"article_group_4_code": "sample string 11",
"article_group_5_id": "18046d4b-0ed0-495f-8380-44253556f1f4",
"article_group_5_code": "sample string 13",
"article_group_6_id": "963bc96b-506c-45a7-822f-5e39d630780b",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-03T18:38:36.825942+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-03T18:38:36.825942+00:00",
"date_update": "2026-11-03T18:38:36.825942+00:00",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00",
"article_color_id": "566b572d-bb35-4226-9b32-3a3080f2ba60",
"article_color_code": "sample string 38",
"article_color": {
"id": "b7d13fbc-4980-428b-b0a5-76867dc33f70",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "8603df1d-bc65-49ec-bf78-3431c242495f",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "4188103a-851b-450c-8859-4f8de5d81493",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "aeb02093-9c44-4822-9fbc-6ab74d2d9b8a",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "031fd125-8793-43a6-9abe-d0cbeda2c922",
"_parent_id": "75a3fd4b-dd34-412c-a232-bb705113897d",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "ebc053a9-1387-4a50-86f8-9ad0deb214f9",
"project_reference_back_office": "sample string 5",
"project": {
"id": "1bc3f452-32a2-4264-8e0a-a334309c9662",
"_parent_id": "5291b5f0-2b77-4783-b636-7b6c956e2f46",
"root_parent_id": "748d36fa-9a38-410f-adca-28ba7fbbede7",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "7014c11a-b7b0-4390-833d-ae2713ee0457",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "e0188ce8-7c35-472d-b140-31feb7e4cbe5",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "09f5bea2-f0a7-4fe5-9d60-a7f37fcab003",
"_parent_code": "sample string 6",
"sales_organization_id": "f4a156a9-69f7-4907-92da-d882313d0b7e",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "c8352d18-c25e-4601-a2c1-3de787c91990",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "276ba401-ae6f-4996-8a54-f7ea96ab6ad0",
"db_currency_id": "32b609e6-a7e8-41a1-bb56-97707329925c",
"db_language_id": "271e6e5c-6224-4cf4-ac6b-fbfbc94cdc01",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"equipment_model_id": "9beaa605-8b90-40f3-a4e8-d0b493a784e8",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "65b94424-592e-4bc2-ad8e-bb2ad6436370",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "393662f1-c9ba-4580-8722-c343bfa8b1c4",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "3a1f6f4a-a6fd-4a24-b75d-54c92d53e62d",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "d25874eb-5293-44c2-a5cb-1fbe07f2bb03",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "c8352d18-c25e-4601-a2c1-3de787c91990",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "276ba401-ae6f-4996-8a54-f7ea96ab6ad0",
"db_currency_id": "32b609e6-a7e8-41a1-bb56-97707329925c",
"db_language_id": "271e6e5c-6224-4cf4-ac6b-fbfbc94cdc01",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"equipment_family_id": "f22a4950-9107-4360-8d60-935b508d7209",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "e0188ce8-7c35-472d-b140-31feb7e4cbe5",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "09f5bea2-f0a7-4fe5-9d60-a7f37fcab003",
"_parent_code": "sample string 6",
"sales_organization_id": "f4a156a9-69f7-4907-92da-d882313d0b7e",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "c8352d18-c25e-4601-a2c1-3de787c91990",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "276ba401-ae6f-4996-8a54-f7ea96ab6ad0",
"db_currency_id": "32b609e6-a7e8-41a1-bb56-97707329925c",
"db_language_id": "271e6e5c-6224-4cf4-ac6b-fbfbc94cdc01",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"date_in_production_since": "2026-11-03T18:38:36.825942+00:00",
"date_out_of_production_since": "2026-11-03T18:38:36.825942+00:00",
"date_end_support": "2026-11-03T18:38:36.825942+00:00",
"sales_organization_id": "dc7fd14b-3763-4fc9-9b6a-2740f4182639",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "c8352d18-c25e-4601-a2c1-3de787c91990",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "276ba401-ae6f-4996-8a54-f7ea96ab6ad0",
"db_currency_id": "32b609e6-a7e8-41a1-bb56-97707329925c",
"db_language_id": "271e6e5c-6224-4cf4-ac6b-fbfbc94cdc01",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"project_status_id": "a8d90d9b-0b6d-48ba-a95c-37b0f4f289d3",
"project_status_code": "sample string 10",
"project_status": {
"id": "f3edb6cf-b89e-413c-84b9-cb3c3045b74f",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "099c7476-c135-4421-a820-d932d2165993",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "c8352d18-c25e-4601-a2c1-3de787c91990",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "276ba401-ae6f-4996-8a54-f7ea96ab6ad0",
"db_currency_id": "32b609e6-a7e8-41a1-bb56-97707329925c",
"db_language_id": "271e6e5c-6224-4cf4-ac6b-fbfbc94cdc01",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"company_id": "99611286-cb50-4f32-bfc2-163ae162944a",
"company_code": "sample string 12",
"db_address_id": "f03f1da4-7478-4a45-b23b-7f29ae8ec47b",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "9b4fe910-d51d-485b-9020-a36cb97d0d21",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "25961e68-38a1-4209-8964-039d626ed54d",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-03T18:38:36.825942+00:00",
"date_create": "2026-11-03T18:38:36.825942+00:00",
"date_update": "2026-11-03T18:38:36.825942+00:00",
"updated_by_user_id": "9f3884c3-00b4-4647-990a-6e1f4b255e29",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-03T18:38:36.825942+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-03T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-03T18:38:36.825942+00:00",
"date_last_job": "2026-11-03T18:38:36.825942+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-03T18:38:36.825942+00:00",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00",
"is_mobile_installation": true
},
"job_type_id": "2293d413-bbdc-4e6c-bb05-1eea0108cb4c",
"job_type_code": "sample string 7",
"job_type": {
"id": "acd5df2e-93cf-4ab8-acd3-47a919199f75",
"name": "sample string 2",
"sales_organization_id": "65ae601e-f7d6-4f00-a81d-b585cd3e63be",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00",
"code": "sample string 7"
},
"job_priority_id": "3669ef34-c060-4d7d-bd96-1ce65e9233c2",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "c5f34be8-1a33-479a-a068-96f363abca44",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "be352a29-6881-4af6-8acd-b2c622fcc91c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "c8352d18-c25e-4601-a2c1-3de787c91990",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "276ba401-ae6f-4996-8a54-f7ea96ab6ad0",
"db_currency_id": "32b609e6-a7e8-41a1-bb56-97707329925c",
"db_language_id": "271e6e5c-6224-4cf4-ac6b-fbfbc94cdc01",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"job_status_id": "57782a77-7cbd-4a7e-ada8-829d284a80f6",
"job_status_code": "sample string 11",
"db_address_id": "f18c9f4d-24f0-4722-b56b-c8a626a1bd29",
"contact_id": "51de6190-ce04-4954-aef5-2bd980fd155b",
"requested_by_company_id": "60df339e-0f99-4c20-8cf1-8bdc4ac403e3",
"requested_by_contact_id": "8c657f47-f23a-41ca-b433-3fd7eca36ec1",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-03T18:38:36.825942+00:00",
"due_date": "2026-11-03T18:38:36.825942+00:00",
"date_create": "2026-11-03T18:38:36.825942+00:00",
"date_update": "2026-11-03T18:38:36.825942+00:00",
"date_closed": "2026-11-03T18:38:36.825942+00:00",
"suggested_user_id": "bd0e3e19-20fb-4f07-99e1-6f2d14abdd21",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "46c9da38-ad41-450b-8ecc-52ad1702ed18",
"db_language_id": "e6884329-619c-4c65-ade0-ff2b7d5dc67f",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-03T18:38:36.8455804+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "f2cbe4bd-67a7-4df2-acae-f3cd23aa2c69",
"sales_organization": {
"id": "c8352d18-c25e-4601-a2c1-3de787c91990",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "276ba401-ae6f-4996-8a54-f7ea96ab6ad0",
"db_currency_id": "32b609e6-a7e8-41a1-bb56-97707329925c",
"db_language_id": "271e6e5c-6224-4cf4-ac6b-fbfbc94cdc01",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "800d34c0-54b7-42a9-928c-6538e7436855",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "58acd21e-0792-4cad-9830-7cf8d2a1f1d9",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-03T18:38:36.8455804+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "fc8868c3-81b3-4cc8-afec-3cd1ef039e44"
},
"suggested_date_start": "2026-11-03T18:38:36.8455804+00:00",
"skill_id": "e5174651-d30d-4821-b58d-91ffb8ff4fc3",
"skill_code": "sample string 32",
"skill": {
"id": "eb20ddd4-a7b5-4841-ad9a-103579675cde",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "1155ccde-7206-4c67-8ee1-3a9ee996ebeb",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "c8352d18-c25e-4601-a2c1-3de787c91990",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "276ba401-ae6f-4996-8a54-f7ea96ab6ad0",
"db_currency_id": "32b609e6-a7e8-41a1-bb56-97707329925c",
"db_language_id": "271e6e5c-6224-4cf4-ac6b-fbfbc94cdc01",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T18:38:36.825942+00:00"
},
"modified_dateutc": "2026-11-03T18:38:36.8455804+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "a8ed46d4-8d72-4361-a79f-e2ef352fb331",
"date_reported_by_company": "2026-11-03T18:38:36.8455804+00:00",
"id2": 36,
"company_id": "1f22a80c-a7b3-4f26-8506-17b4b711c2f3",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "e9a49d85-dc93-44da-842f-e76e24040b63",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-03T18:38:36.8455804+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-03T18:38:36.8455804+00:00"
}